/* Copyright 2016 Dirk Duschinger */

//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#include <vector>

#include "EpsCoordinateList.h"

EpsCoordinateList::EpsCoordinateList() {
}

EpsCoordinateList::~EpsCoordinateList() {
  m_vCoord.clear();
}

void EpsCoordinateList::AddCoordinate(double x, double y) {
  std::vector<double> vCoord;
  vCoord.push_back(x);
  vCoord.push_back(y);
  m_vCoord.push_back(vCoord);
}


std::vector<std::vector<double> >& EpsCoordinateList::GetCoordinateList() {
  return m_vCoord;
}
