/* Copyright 2016 Dirk Duschinger */

//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#ifndef INCLUDE_EPSCOORDINATELIST_H_
#define INCLUDE_EPSCOORDINATELIST_H_

#include <vector>

class EpsCoordinateList {
 public:
  EpsCoordinateList();
  ~EpsCoordinateList();

  void AddCoordinate(double x, double y);
  std::vector<std::vector<double> >& GetCoordinateList();
 private:
  std::vector<std::vector<double> > m_vCoord;
};


#endif  // INCLUDE_EPSCOORDINATELIST_H_
